curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"data_pull_preferences": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providers": {}
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team Data Pull Preferences
Get Team Data Pull Preferences
Get org team data pull preferences via the Junction API. Requires authentication with your team API key.
GET
/
v1
/
org
/
{org_id}
/
team_data_pull_preferences
/
{env}
/
{region}
curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
{
"data_pull_preferences": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providers": {}
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}curl --request GET \
--url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
--header 'X-Vital-Org-Key: <api-key>'
The endpoint will return the default Junction settings if no custom preferences are set.
Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.Authorizations
Path Parameters
Available options:
production, sandbox Available options:
us, eu Query Parameters
Available options:
oura, fitbit, garmin, strava, withings, peloton, wahoo, zwift, freestyle_libre, abbott_libreview, eight_sleep, renpho, omron, dexcom_v3, hammerhead, polar, cronometer, kardia, whoop_v2, my_fitness_pal_v2, map_my_fitness, runkeeper, apple_health_kit, google_fit, beurer_api, ultrahuman, google_health Was this page helpful?